<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetMenuInfo Method (IEdmSearch7)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmSearch7 Interface : GetMenuInfo Method (IEdmSearch7)

Visual Basic
C#
C++/CLI

ppoForms
  Array of search forms

ppoFavorites
  Array of favorite searches

plSysPerm
  Combination of EdmSysRightFlags bits for the logged-in user

Gets information that can be used to display a quick launch menu from which the user can start the search tool and activate one of his search forms or favorites.

# Syntax

Visual Basic |
--- | ---

    Sub GetMenuInfo( _
       ByRef ppoForms() As System.String, _
       ByRef ppoFavorites() As System.String, _
       ByRef plSysPerm As System.Integer, _
       ByRef plEdmGetMenuInfoFlags As System.Integer _
    )

C# |
--- | ---

    void GetMenuInfo(
       out System.string[] ppoForms,
       out System.string[] ppoFavorites,
       out System.int plSysPerm,
       out System.int plEdmGetMenuInfoFlags
    )

C++/CLI |
--- | ---

    void GetMenuInfo(
    &   [Out] System.array<String^>^ ppoForms,
    &   [Out] System.array<String^>^ ppoFavorites,
    &   [Out] System.int plSysPerm,
    &   [Out] System.int plEdmGetMenuInfoFlags
    )

#### Parameters

ppoForms
  Array of search forms
ppoFavorites
  Array of favorite searches
plSysPerm
  Combination of EdmSysRightFlags bits for the logged-in user
plEdmGetMenuInfoFlags
  Combination of EdmGetMenuInfoFlags bits

# Remarks

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmSearch7 Interface
IEdmSearch7 Members

# Availability

SOLIDWORKS PDM Professional 2009